OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

18 Pages V  < 1 2 3 4 5 > »   
Reply to this topicStart new topic
> Cacko Rom 1.23 Is Released, Full version
maslovsky
post Nov 7 2005, 12:15 AM
Post #31





Group: Members
Posts: 1,426
Joined: 22-October 03
Member No.: 89



QUOTE(gsgmx @ Nov 5 2005, 12:07 AM)
One point i can・t get to run as expected is iptables.
Neither by hand myself nor with the simple snowfence.
Generally it works, but missing is the iptables state module.
By design?


You need iptables-extra package from the Cacko feed.
Go to the top of the page
 
+Quote Post
cybersphinx
post Nov 7 2005, 01:20 AM
Post #32





Group: Members
Posts: 70
Joined: 24-May 04
From: Germany
Member No.: 3,406



QUOTE(Flandry @ Nov 7 2005, 07:51 AM)
Yes, that's a well-documented and long-standing problem with Cacko ROM.  I remember it really had me freaked out the first time i encountered it.  Once you're aware of it, it's just a nuisance.
*
Not just Cacko, I had it on the Sharp ROM.

QUOTE(maslovsky @ Nov 7 2005, 10:06 AM)
It would have taken you much less time if you've read Cacko FAQ smile.gif
*
Was it in there... well, I don't really remember... about 18 months ago? (And I didn't use the Cacko ROM then smile.gif)
Go to the top of the page
 
+Quote Post
wowo123
post Nov 7 2005, 02:50 AM
Post #33





Group: Members
Posts: 81
Joined: 7-August 04
From: Germany
Member No.: 4,222



QUOTE(maslovsky @ Nov 7 2005, 08:03 AM)
QUOTE(wowo123 @ Nov 4 2005, 07:07 PM)
I have just installed the new ROM on my C860 and like it very much. Seems to run a little bit faster then 1.22.
Finally I created a NAND-Image and restored the 1.22-version to backup some additional data. When now trying to restore the NAND-image of 1.23, I always get Restore ...failed format error. I think the problem is the new 32MB root partition. I tried bams suggestion and did a factory restore in the service menu, but same error. So what's the exact procedure for a working NAND-restore?
*


Did you try to restore root partition size to the default value?
*



Yes. I also tried a completely new 1.23-ROM install to overwrite it with the restore of the last NAND-backup. Always the same error. As I have stored two different versions of 1.23-Nand-backups with the same behaviour there cannot be a temporary error with the backup-file. But I can (fortunately!) always restore an old version 1.22 NAND-backup file.
Can you confirm, that the NAND-restore worked properly for you after switching to the new rom?
Go to the top of the page
 
+Quote Post
maslovsky
post Nov 7 2005, 03:04 AM
Post #34





Group: Members
Posts: 1,426
Joined: 22-October 03
Member No.: 89



QUOTE(wowo123 @ Nov 7 2005, 01:50 PM)
Can you confirm, that the NAND-restore worked properly for you after switching to the new rom?
*


Actualy, I never use NAND Backup/Restore - I just flash a ROM and restore a backup made in Qtopia
Go to the top of the page
 
+Quote Post
craigtyson
post Nov 7 2005, 03:08 AM
Post #35





Group: Members
Posts: 464
Joined: 15-June 04
Member No.: 3,698



QUOTE(maslovsky @ Nov 7 2005, 11:04 AM)
QUOTE(wowo123 @ Nov 7 2005, 01:50 PM)
Can you confirm, that the NAND-restore worked properly for you after switching to the new rom?
*


Actualy, I never use NAND Backup/Restore - I just flash a ROM and restore a backup made in Qtopia
*



Same here, its worked for me 2 or 3 times in the past.
Go to the top of the page
 
+Quote Post
fry
post Nov 7 2005, 06:17 AM
Post #36





Group: Members
Posts: 5
Joined: 14-April 05
Member No.: 6,879



QUOTE(cybersphinx @ Nov 6 2005, 02:35 PM)
That's a problem I have also encountered - when you use the lowest brightness setting, sometimes the backlight gets switched off completely. Just use Fn+4 (increase brightness) and you should see something again. Took me a while to figure that out.
*

Thanks cybersphinx,

I always use it on the lowest brightness setting when on battery.
But I didn't try that one, I guess it was too obvious laugh.gif
Go to the top of the page
 
+Quote Post
fry
post Nov 7 2005, 06:44 AM
Post #37





Group: Members
Posts: 5
Joined: 14-April 05
Member No.: 6,879



QUOTE(maslovsky @ Nov 7 2005, 04:06 AM)
It would have taken you much less time if you've read Cacko FAQ smile.gif
*

True, I often read the FAQs but I guess I was too anxious to try it out cool.gif

And thanks for the SDK related answer too,
Fry
Go to the top of the page
 
+Quote Post
gsgmx
post Nov 8 2005, 06:39 AM
Post #38





Group: Members
Posts: 32
Joined: 25-September 05
Member No.: 8,188



QUOTE(maslovsky @ Nov 7 2005, 10:15 AM)
QUOTE(gsgmx @ Nov 5 2005, 12:07 AM)
One point i can・t get to run as expected is iptables.
Neither by hand myself nor with the simple snowfence.
Generally it works, but missing is the iptables state module.
By design?


You need iptables-extra package from the Cacko feed.
*


Thanks Anton,
but sorry thats only part of the picture, i posted wrong.

What i did first, before posting:
try iptables - no state
install iptables-extra - still no state, different msg (see below)
thought maybe some of the buildin iptables is wrong, so installed some of the other (lite)iptables (don#t remember which it was) ipk from the feed - trial and error. Was error, so do a restore of the system.

After the restore i forgot to install iptables-extra again.
I posted the wrong error first.

Now this is what happens when i try the state-rule after having iptables-extra installed
CODE
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables: No chain/target/match by that name.

I'm new to iptables, until now i use most times fw routers.
I thought give my debian sarge system a try, it has iptables 1.2.11 too.

On Debian
CODE
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

works immediately and with lsmod i find ip_conntrack and ipt_state as addtional modules loaded. They exist both for the 2.6.12 as the 2.4.27 kernels on the debian system, but on the ZAURUS i can't find any file of that name and they are neither loaded by the iptables command nor can i modprobe/insmod/... them.

So there is still something missing ....

TIA George
Go to the top of the page
 
+Quote Post
Ragnorok
post Nov 8 2005, 08:48 AM
Post #39





Group: Members
Posts: 298
Joined: 27-October 03
From: Greenfield, NH
Member No.: 781



- I did a little testing with iptables and had no troubles, but I admit it was only a little. If'n I'm allowed to test again after this debacle I'll be more diligent here. (little boy pout)
- First thing I ran into was the "minimum backlight" bug. It's annoying, truth tell, because I want to run on mimimum as well, but there are so many nice things about Cacko that I'll take next-to-minimum brightness without any problem at all. (wide grin)
- I did a lot of testing with WiFi and BT. After learning how to use the Network application to configure BT correctly, I never had the slightest problem connecting with either one using Cacko. The Sharp ROM never used my Symbol card correctly, not even once, and BT with the Sharp ROM was an exercise in frustration on the best of days.
- Wellenreiter was a flakey beast with Cacko, but it worked the majority of the time, and I never used it often enough to experience the issue given. I'd be more inclined to think it's that application than Cacko, but I never used it under Sharp because it wouldn't use my WiFi card at all.
- Kismet's GUI never worked right in testing, but I considered that a configuration issue and not an incompatibility; for instance, the first thing I do after installing Cacko is to give root a password, then remove ALL from the sudoers file for user 'zaurus', and the GUI might not like that. Kismet itself was a pain to configure, but once set up it ran on the command line without the slightest glitch. Since I can't run BT & GPS at the same time, anyway, I prefer Kismet's information to Wellenreiter's, anyway. (shrug)
- I flashed this thing numerous times and had zero difficulty with installation. Never tried a NAND restore, though I have a handful of them lying around. (grin)
- I used libSDL_1.2.6-zports-5_arm.ipk for all testing and had no troubles with a variety of games. Don't know if that's the best version, but it worked reliably, and that's something. (snicker)

- I did have a problem, though. I tried out "Lite" last night, because I don't want NetFront or the default Sharp Apps, but I couldn't get Opera, iptables, or Kino to work. It's possible I was using the main feed by accident ... but I gave up and reflashed to "Full" because that stuff essentially works "out of the box", along with who knows what else that I'm used to having around now 'cause I always tested the full version. (snicker)

- Now, however, I have another "problem". The "ROM" part of Cacko is under /usr, which is a cramfs so I can't write there. I want to remove NetFront, all the Sharp Apps, Migration, and whatever else strikes my fancy. What's the best way to go about that? I have zero familiarity with cramfs, except that it's a compressed file system. I thought jiffs2 was already compressed? I can only imagine cramfs is higher compression, which is how Anton gets so much in a paltry 32MB. But I still want to re-organize it ... and I'd rather fiddle with the cramfs than the hassle of re-installing and re-configuring everything again. That's getting a touch old of late. (cheshire grin)
- My biggest fear is it's not possible. I'm happy to boot without the GUI to do it, but if it's loading files from there just to boot up, I'm not going to be able to replace that cramfs. Then I have no recourse but to try "Lite" again. That wouldn't be the most desirable scenario.

- Thanks for your time...
Go to the top of the page
 
+Quote Post
speculatrix
post Nov 8 2005, 09:41 AM
Post #40





Group: Admin
Posts: 3,281
Joined: 29-July 04
From: Cambridge, England
Member No.: 4,149



I wish to try a VPN package for my SL-C860 which is running the excellent cacko-1.23-heavy release.

I need the tun/tap kernel modules for it. Please can someone let me know if these are in a feed somewhere?

thanks
Paul
Go to the top of the page
 
+Quote Post
maslovsky
post Nov 8 2005, 10:31 AM
Post #41





Group: Members
Posts: 1,426
Joined: 22-October 03
Member No.: 89



QUOTE(gsgmx @ Nov 8 2005, 05:39 PM)
So there is still something missing ....


iptables modules package maybe?
Go to the top of the page
 
+Quote Post
maslovsky
post Nov 8 2005, 10:33 AM
Post #42





Group: Members
Posts: 1,426
Joined: 22-October 03
Member No.: 89



QUOTE(speculatrix @ Nov 8 2005, 08:41 PM)
I wish to try a VPN package for my SL-C860 which is running the excellent cacko-1.23-heavy release.

I need the tun/tap kernel modules for it. Please can someone let me know if these are in a feed somewhere?

thanks
Paul
*


Just search the forums and you'll find viperin-z package, including kernel modules
Go to the top of the page
 
+Quote Post
maslovsky
post Nov 8 2005, 10:44 AM
Post #43





Group: Members
Posts: 1,426
Joined: 22-October 03
Member No.: 89



QUOTE(Ragnorok @ Nov 8 2005, 07:48 PM)
- Kismet's GUI never worked right in testing,


I have to start kismet_server manualy before using Qtopia kismet client

QUOTE
- I used libSDL_1.2.6-zports-5_arm.ipk for all testing and had no troubles with a variety of games.  Don't know if that's the best version, but it worked reliably, and that's something.  (snicker)


There is a bvdd optimized version in the feed, which is supposed to be faster.

QUOTE
- I did have a problem, though.  I tried out "Lite" last night, because I don't want NetFront or the default Sharp Apps, but I couldn't get Opera, iptables, or Kino to work.


The main feed has been updated yesterday, you can give it another try.

QUOTE
- Now, however, I have another "problem".  The "ROM" part of Cacko is under /usr, which is a cramfs so I can't write there.


Actualy it's a squashfs image, which provides for even better conpression. It's not trivial to modify it directly on Zaurus.
Go to the top of the page
 
+Quote Post
ShiroiKuma
post Nov 8 2005, 12:54 PM
Post #44





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



QUOTE(maslovsky @ Nov 4 2005, 02:29 PM)
QUOTE(rehorrericha @ Nov 4 2005, 04:24 PM)
QUOTE(Stubear @ Nov 4 2005, 11:46 AM)
Sorry for the late posting, I'd hoped to have this ready when Cacko 1.23 went live, but I've been down with the flu.

Anyway here are the japanese support ipks to add back Japanese input methods to the C1000 and C3100. For some reason the CRIM from the C3100 doesn't work on the C1K - it causes an endless restart of qtopia - so I've made 2 ipks.
*

Not what I meant smile.gif

With version 1.22 there was a different installation file which specifically didn't hardware remap the kanji key etc to ctrl and alt.

I use QPOBox and need to use the Kanji key for starting it. But no matter what I do I can't remap the remapped Alt in 1.23 back to F21.

Solution? Should I install the real KeyHelper? Or is there gonna be a 1.23ja version too?
*




Actualy I forgot about those keymappings smile.gif I think I'll have to buiod a separate Japanese kernel without remapped keys.
*




Are you planning to build the Japanese kernel, or is this task not current?
Go to the top of the page
 
+Quote Post
gsgmx
post Nov 8 2005, 01:34 PM
Post #45





Group: Members
Posts: 32
Joined: 25-September 05
Member No.: 8,188



QUOTE(maslovsky @ Nov 8 2005, 08:31 PM)
QUOTE(gsgmx @ Nov 8 2005, 05:39 PM)
So there is still something missing ....


iptables modules package maybe?
*



Hi Anton,

would be great if it were.

The only iptables-modules i can find are:
iptables-modules-2.4.20_1.23-lite-1_arm.ipk (and ...2.4.18_...)
both are "lite" so i assume they are for the lite kernel.
Anyhow i took it from the cacko.biz/cacko/feed/ manually, and browsed thru the ipk archive with mc. I can locate within there only the exactly same kernel modules as are already in the
/lib/modules.rom/2.4.20/kernel/net/ipv4/netfilter/

In
/lib/modules/..../netfilter/ on the zaurus i find same named links to the files in the above dir.
E.g. ipt_REJECT.o links to
/lib/modules.rom/2.4.20/kernel/net/ipv4/netfilter/ipt_REJECT.o

Would i install the lite ipk these links would be replaced by the files from the ipk. Still no ip_conntrack.o and no ipt_state.o as the ipk doesn't have them.
Would i them deinstall this ipk again, the files will be removed but the links won't be restored,
Thats what happened when i installed one lite ipk in my first trial, see my previous post.
So i will not try the lite iptables-modules. Is there some other ipk where the missing modules could be found?

regards,
George
Go to the top of the page
 
+Quote Post

18 Pages V  < 1 2 3 4 5 > » 
Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 21st December 2014 - 04:37 PM